<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-fdc3](./foundation-fdc3.md) &gt; [FDC3](./foundation-fdc3.fdc3.md)

## FDC3 interface

The FDC3 API interface.

**Signature:**

```typescript
export interface FDC3 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [currentChannelObs](./foundation-fdc3.fdc3.currentchannelobs.md) |  | Observable&lt;[FDC3Channel](./foundation-fdc3.fdc3channel.md)<!-- -->&gt; | Observable which emits the current channel When a new channel is joined a new value is emitted |
|  [isInteropFdc3](./foundation-fdc3.fdc3.isinteropfdc3.md) |  | () =&gt; boolean | Check if the interop global is available. |
|  [isReadyObs](./foundation-fdc3.fdc3.isreadyobs.md) |  | Observable&lt;true&gt; | Observable indicating the FDC3 API is ready. |

## Methods

|  Method | Description |
|  --- | --- |
|  [addChannelListener(channel, channelType, callback)](./foundation-fdc3.fdc3.addchannellistener.md) | Helper function to add a context listener on a channel with a handler for channel messages |
|  [addIntentListeners(listeners)](./foundation-fdc3.fdc3.addintentlisteners.md) | Adds intent listeners for the specified intents. |
|  [broadcastOnChannel(channelName, type, payload)](./foundation-fdc3.fdc3.broadcastonchannel.md) | Broadcasts a message on a given channel with a given type |
|  [broadcastOnChannelEventHandler(channelName, type)](./foundation-fdc3.fdc3.broadcastonchanneleventhandler.md) | Helper function to broadcast message on channel in response to dispatched event |
|  [broadcastOnCurrentChannel(payload, type)](./foundation-fdc3.fdc3.broadcastoncurrentchannel.md) | Broadcasts a message on the current app channel |
|  [findIntent(intent, context)](./foundation-fdc3.fdc3.findintent.md) | Finds an app that supports the specified intent. |
|  [findIntentsByContext(context)](./foundation-fdc3.fdc3.findintentsbycontext.md) | Finds all the intents supported by the specified context. |
|  [getCurrentChannel()](./foundation-fdc3.fdc3.getcurrentchannel.md) | Helper function to get the current channel of the application |
|  [getOrCreateChannel(channelId)](./foundation-fdc3.fdc3.getorcreatechannel.md) | Gets or creates the specified channel. |
|  [init()](./foundation-fdc3.fdc3.init.md) | Method to initialize the fdc3 service. The service will check if the fdc3 agent has been initialized and emit via the isReadyObs when ready. The service will store the current app channel internally |
|  [joinChannel(channelId)](./foundation-fdc3.fdc3.joinchannel.md) | Joins the specified channel. |
|  [raiseIntent(context, intent)](./foundation-fdc3.fdc3.raiseintent.md) | Raises the specified intent with the specified context. |
|  [raiseIntentForContext(context)](./foundation-fdc3.fdc3.raiseintentforcontext.md) | Raises an intent against an application based purely on the context data. |

